Summary: Utilities for the IBM Power Linux RAID adapters
Name:    iprutils
Version: 2.4.5
%define base_release .2
Release: 1%{?dist}%{?base_release}
ExcludeArch: mips64 ppca2 ppc476 ppcnf ppc
License: CPL
Group:   System Environment/Base
URL:     http://sourceforge.net/projects/iprdd/

Source0: http://downloads.sourceforge.net/project/iprdd/iprutils%20for%202.6%20kernels/%{version}/%{name}-%{version}-src.tgz

# missing man page
Source1: iprdbg.8.gz

# sent to upstream
# bug 119306 remove fedora patch
# Patch0:  0001-Service-start-is-controled-by-udev-rule.patch

Requires: /sbin/pidof

BuildRequires: ncurses-devel
BuildRequires: libcap-devel
BuildRequires: kernel-devel
BuildRequires: systemd

Obsoletes: ipr-utils

%description
Provides a suite of utilities to manage and configure SCSI devices
supported by the ipr SCSI storage device driver.

%prep
%setup -q -n %{name}
# %patch0 -p1 -b .udev

%build
export CFLAGS="%{optflags} -fPIE -Wl,-z,relro,-z,now"
export LDFLAGS="-pie"
%{__make}

%install
%{__make} INSTALL_MOD_PATH=%{buildroot} install

mkdir -p %{buildroot}/%{_unitdir}
%{__install} -m 0644 systemd/iprinit.service %{buildroot}/%{_unitdir}/iprinit.service
%{__install} -m 0644 systemd/iprdump.service %{buildroot}/%{_unitdir}/iprdump.service
%{__install} -m 0644 systemd/iprupdate.service %{buildroot}/%{_unitdir}/iprupdate.service
# %{__install} -m 0644 systemd/iprutils.target %{buildroot}/%{_unitdir}/iprutils.target

# mkdir -p %{buildroot}/%{_udevrulesdir}
# %{__install} -m 0644 udev/rules.d/90-iprutils.rules %{buildroot}/%{_udevrulesdir}/90-iprutils.rules

# missing man page
%{__install} -m 0644 %SOURCE1 %{buildroot}%{_mandir}/man8/

# move all binaries from /sbin to /usr/sbin
mkdir %{buildroot}/usr/sbin
for file in iprconfig iprdbg iprdump iprinit iprupdate; do
  mv %{buildroot}/sbin/$file %{buildroot}/usr/sbin/$file
  # fix permissions
  chmod 0755 %{buildroot}/usr/sbin/$file
done

%post
%systemd_post iprinit.service
%systemd_post iprdump.service
%systemd_post iprupdate.service
# %systemd_post iprutils.target

%preun
%systemd_preun iprinit.service
%systemd_preun iprdump.service
%systemd_preun iprupdate.service
# %systemd_preun iprutils.target

%files
%doc README LICENSE
%{_sbindir}/*
#fix permissions
%attr(0644,root,root) %{_mandir}/man*/*
%{_unitdir}/iprinit.service
%{_unitdir}/iprdump.service
%{_unitdir}/iprupdate.service
# %{_unitdir}/iprutils.target
# %{_udevrulesdir}/90-iprutils.rules
 
%changelog
* Fri Feb 21 2014 baseuser@ibm.com
- Base-f19.x spec file

